# Deploying a Recommendations Banner Custom Widget

1. Add Recos Tag to your global code
   1. go to <https://app2.abtasty.com/settings/global-code>
   2. Add this code snippet\
      \
      ![Image without caption](https://image-forwarder.notaku.so/aHR0cHM6Ly93d3cubm90aW9uLnNvL2ltYWdlL2h0dHBzJTNBJTJGJTJGcHJvZC1maWxlcy1zZWN1cmUuczMudXMtd2VzdC0yLmFtYXpvbmF3cy5jb20lMkZjZjFjZDNjZC02OWMzLTQ0ZTQtODg0YS0zMzM5NTllZTA3YmIlMkZkNjFjNDQwNi02OTFmLTRjNWUtYTY2Zi01ZjQ3MGY2NDBlNjUlMkZVbnRpdGxlZC5wbmc_dGFibGU9YmxvY2smc3BhY2VJZD1jZjFjZDNjZC02OWMzLTQ0ZTQtODg0YS0zMzM5NTllZTA3YmImaWQ9NjE2ZDNjZjEtNjg1Zi00YzZkLWI2NzktNWZmYzExMmE5MWNiJmNhY2hlPXYyJndpZHRoPTEzMDQuMDQ1MTY2MDE1NjI1)

      ```
      const script = document.createElement('script');
      script.src = "https://client.get-potions.com/[SITE_ID]/recos-tag.js";
      script.async = true;
      document.head.appendChild(script);
      ```

      Where your SITE\_ID is to replace by the SITE\_ID visible in your account settings

      ![Image without caption](https://image-forwarder.notaku.so/aHR0cHM6Ly93d3cubm90aW9uLnNvL2ltYWdlL2h0dHBzJTNBJTJGJTJGcHJvZC1maWxlcy1zZWN1cmUuczMudXMtd2VzdC0yLmFtYXpvbmF3cy5jb20lMkZjZjFjZDNjZC02OWMzLTQ0ZTQtODg0YS0zMzM5NTllZTA3YmIlMkZiMWNmOWViNy01Yjk0LTRiMmYtYWJkZi1iYWFiN2RlZTBjMDMlMkZVbnRpdGxlZC5wbmc_dGFibGU9YmxvY2smc3BhY2VJZD1jZjFjZDNjZC02OWMzLTQ0ZTQtODg0YS0zMzM5NTllZTA3YmImaWQ9N2YwZjhkYTQtNDNhYS00NWRkLTkyNTYtNzI4ZDQ2YmEzNzlhJmNhY2hlPXYyJndpZHRoPTc2OA==)

      &#x20;
   3. Click "SAVE" \
      Dev check : Now when you type :\
      recos.reco(RECO\_ID) with RECO\_ID being one of your reco\_ids, you get a promise that should fulfill with a product list if all the required variables are available on this page.\ <br>
2. Configure the Custom Widget the ABTasty team provided to you
3. Add it to your campaign


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recommendations/recommendation-banner/deploying-a-recommendations-banner-custom-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
